Package ru.bitel.bgbilling.plugins.assistant.server.event

# Class AssistantMastersListEvent

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.kernel.event.common.Event
ru.bitel.bgbilling.kernel.event.common.QueueEvent
ru.bitel.bgbilling.kernel.event.common.LocalEvent
ru.bitel.bgbilling.plugins.assistant.server.event.AssistantMastersListEvent

All Implemented Interfaces:
  `Serializable`, `ErrorReturnableEvent`

public class AssistantMastersListEvent extends ru.bitel.bgbilling.kernel.event.common.LocalEvent

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AssistantMastersListEvent(int actionContractId, List<AssistantMaster> assistantMasters, int userId)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getActionsContractId()`
  `List<AssistantMaster>`
  `getAssistantMasters()`
  `void`
  `setAssistantMasters(List<AssistantMaster> assistantMasters)`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.event.common.LocalEvent

  `getError, setError`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `getContractId, getDestination, getGenerateTime, getMessageID, getModuleId, getPluginId, getSource, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, isLogFunctionProcess, prepareMessage, serializeAsObject, setLogFunctionProcess, setMessageID, setSource, toString, toString`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### AssistantMastersListEvent

    public AssistantMastersListEvent(int actionContractId, List<AssistantMaster> assistantMasters, int userId)

- ## Method Details

  - ### getAssistantMasters

    public List<AssistantMaster> getAssistantMasters()

  - ### setAssistantMasters

    public void setAssistantMasters(List<AssistantMaster> assistantMasters)

  - ### getActionsContractId

    public int getActionsContractId()